<?php
/**
 * @package NewGenn
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>


<header class="entry-header">
	<div class="entry-meta header-entry-meta">
		<a href="<?php the_permalink() ?>">
			<i class="fa fa-calendar"></i>
			<?php webulous_post_date(); ?>
		</a>
	</div><!-- .entry-meta -->								
	<h1 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title( '', '' ); ?></a></h1>
	<div class="entry-title-meta">
		<?php newgenn_posted_on(); ?>  
		    
	</div>
</header>  

<div class="entry-content">
	<?php 
		$featured_image = get_theme_mod( 'featured_image',true );
	    $featured_image_size = get_theme_mod ('featured_image_size','1');
		if( $featured_image ) : 
		        if ( $featured_image_size == '1' ) :?>		
						<div class="thumb">
						  <?php	if( $featured_image && has_post_thumbnail() ) : 
								    the_post_thumbnail('newgenn-blog-full-width');
			                     endif;?>
			            </div> <?php
		        else: ?>
		 	            <div class="thumb">
		 	                 <?php if( has_post_thumbnail() && ! post_password_required() ) :   
					               the_post_thumbnail('newgenn-small-featured-image-width');
								endif;?>
			             </div>  <?php				
	            endif; 
		endif; ?>    


	<div class="entry-body">   
		<?php
			/* translators: %s: Name of current post */
			the_content( sprintf(
				__( 'Continue reading %s <span class="meta-nav">&rsaquo;</span>', 'newgenn' ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );
		?>
	</div>

		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'newgenn' ),
				'after'  => '</div>',
			) );
		?>
	<br class="clear" />
</div>
	<footer class="entry-footer">
		<?php newgenn_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->